import React from "react";
import { useMutation } from "@apollo/client";
import { DELETE_ALLOCATION } from "../../graphql/allocations.queries";
import AllocationsLabelComponent from "./allocations-employee-label.component";
import { notification } from "antd";
import { useTranslation } from "react-i18next";

export default function AllocationsLabelContainer({ allocation, refetch }) {
  const [deleteAllocation] = useMutation(DELETE_ALLOCATION);
  const { t } = useTranslation();

  const handleClick = (e) => {
    e.preventDefault();
    deleteAllocation({ variables: { id: allocation.id } })
      .then((r) => {
        notification["success"]({
          message: t("allocations.successes.deleted")
        });
        if (refetch) refetch();
      })
      .catch((error) => {
        notification["error"]({ message: t("allocations.errors.deleting") });
      });
  };

  return <AllocationsLabelComponent allocation={allocation} handleClick={handleClick} />;
}
